IBM Support

Linux Power Systems Little Endian HSM requirements

Troubleshooting


Problem

IBM Spectrum Protect™ for Space Management (HSM) requirements for Linux on Power Little Endian

Resolving The Problem

Hardware and Software Requirements

This document is divided into linked sections. Use the following links to go to the section of the document that you require.

Release 8.1

IBM Spectrum Protect for Space Management 8.1.x
Note:
Linux Power (Little Endian) support, beginning with IBM Spectrum Protect for Space Management 8.1.4
Attention: To run the IBM Spectrum Protect for Space Management client, the IBM Spectrum Protect backup-archive client is required. Thus you must follow the support statements listed in the web page Linux on POWER Client Requirements before you verify the IBM Spectrum Protect for Space Management support statements.
Hardware
System Systems based on the Power 64bit Little Endian processor architecture
Disk space 1500 MB disk space required to install the IBM Spectrum Protect for Space Management client binary files

In each IBM Spectrum Protect for Space Management managed file system
  • 1 GB free disk space
  • if the dsmscout daemon is used extra disk space required:
    1 KB times the value specified for the "maxfiles" option of the "dsmmigfs add" or "dsmmigfs update" command
Memory No extra Random-Access Memory (RAM) required for product installation.

RAM requirements for running the product vary widely and depend on your environment, configuration, and tasks that you perform. More RAM might be required to run the product.
Software
Communication protocol One of the following:
  • TCP/IP, which comes standard with Linux
  • Shared Memory Protocol (with Linux Power Little Endian server only)
Operating system
  • SUSE Linux Enterprise Server (SLES) 12 SP1 to SP5 or higher SP5 levels
  • SUSE Linux Enterprise Server (SLES) 15 to 15.3 or higher 15.3 levels (Beginning with 8.1.6)
  • Red Hat Enterprise Linux (RHEL) 7.1.0 to 7.9.0 or higher 7.9 levels
  • Red Hat Enterprise Linux (RHEL) 8.0.0 to 8.4.0 or higher 8.4 levels (Beginning with 8.1.9)
File system
  • IBM Spectrum Scale 4.2.3.5 or higher 4.2.3.x fix pack levels
  • IBM Spectrum Scale 5.0.0.0 or higher 5.0.0.x fix pack levels
  • IBM Spectrum Scale 5.0.1.0 or higher 5.0.1.x fix pack levels and
  • IBM Spectrum Scale 5.0.2.0 or higher 5.0.2.x fix pack levels (Beginning with 8.1.6)
  • IBM Spectrum Scale 5.0.3.0 or higher 5.0.3.x fix pack levels (Beginning with 8.1.7)
  • IBM Spectrum Scale 5.0.4.0 or higher 5.0.4.x fix pack levels (Beginning with 8.1.8)
  • IBM Spectrum Scale 5.0.5.0 or higher 5.0.5.x fix pack levels (Beginning with 8.1.9(2))
  • IBM Spectrum Scale 5.1.0 or higher 5.1.0.x fix pack levels (Beginning with 8.1.10(1),(2))
  • IBM Spectrum Scale 5.1.1 or higher 5.1.1.x fix pack levels (Beginning with 8.1.12)
  • IBM Spectrum Scale 5.1.2.1 or higher 5.1.2.x fix pack levels (Beginning with 8.1.13)
    Note: only SLES 15.3 or later  and RHEL 8.4 or later are supported with this file system level
Note: the supported file system and SLES and RHEL operating system combinations  are listed in the Linux on POWER Client Requirements.
Other Notes
The support for IBM Spectrum Scale is always added in addition to the versions, which are already supported. Note, that the certification was done with the latest IBM Spectrum Scale and IBM Spectrum Protect.
On a IBM Spectrum Scale cluster with AIX, Linux x86, Linux Power (LE), or Linux zSeries nodes, use the IBM Spectrum Protect for Space Management client only on one of these platforms to manage a shared file system. Do not use the IBM Spectrum Protect for Space Management client on different platforms to manage a file system shared among these platforms.
IBM Spectrum Scale AFM and SOBAR are supported

For the installation of IBM Spectrum Protect backup-archive client and IBM Spectrum Protect for Space Management client, the same (matching) release level is required.
(1) The function mmbackup in the IBM Spectrum Scale 5.0.4 or earlier does not work in combination with the IBM Spectrum Protect backup-archive client 8.1.10. For IBM Spectrum Scale 5.0.4 see APAR IJ22017,  for IBM Spectrum Scale 4.2.3 see APAR IJ22035.
(2) If you run IBM Spectrum Protect backup-archive client 8.1.9 or 8.1.10 and you use dsmc to run you backup, upgrade to 8.1.11 before you upgrade to IBM Spectrum Scale 5.0.5.x or 5.1.0.x or higher levels. For more information, see Upgrade to IBM Spectrum Protect backup-archive client 8.1.11 before you upgrade to IBM Spectrum Scale 5.0.5 or later.
The following IBM Spectrum Scale product editions support the IBM Spectrum Protect for Space Management client: IBM Spectrum Scale product editions



 

[{"Type":"MASTER","Line of Business":{"code":"LOB26","label":"Storage"},"Business Unit":{"code":"BU058","label":"IBM Infrastructure w\/TPS"},"Product":{"code":"SSERBH","label":"IBM Spectrum Protect for Space Management"},"ARM Category":[{"code":"a8m0z00000006rbAAA","label":"DO NOT USE - Spectrum Protect ARM 1.0-\u003EClient-\u003EHW\/SW Requirements"}],"ARM Case Number":"","Platform":[{"code":"PF016","label":"Linux"}],"Version":"8.1.4;and future releases"}]

Document Information

Modified date:
17 March 2022

UID

swg22009800